LogoopenSUSE Build Service > Request 214650
Sign Up | Log In

Request 214650 (revoked)

Hello!

This request is not meant to be accepted - it's only for you to know that I am working on this package.

This branch packages the upcoming upstream version, that uses bundler and Rails 3.2, and that runs under the new Ruby and RubyGems version. The package includes a systemd unit for the app server, and it sets up the secret token upon installation.

As you will see, this package is very different from the one it started from: it bundles all the gems, it does more aggressive polishing of what it is included, it is not a -noarch package anymore.

There is still work to be done, most importantly the delayed job systemd unit, and a basic walkthrough after the installation. However the package builds cleanly on 12.3 and 13.1 and it starts.

Your feedback is appreciated!

~Marcello
  • user_green Created by Marcello Barnaba vjt about 2 years ago
  • information In state revoked

Submit package home:vjt:ifad / puppet-dashboard (revision 7) to package systemsmanagement:puppet / puppet-dashboard

[-] [+] Changed puppet-dashboard.changes
[-] [+] Changed puppet-dashboard.spec ^
[-] [+] Deleted puppet-dashboard-lsb.patch ^
Deleted puppet-dashboard-1.2.23.tar.gz ^
Added puppet-dashboard-d7ae54a4a7f5f99d621d67602b7064ab3f729565-gems.zip ^
Added puppet-dashboard-d7ae54a4a7f5f99d621d67602b7064ab3f729565.zip ^
[-] [+] Deleted puppet-dashboard.init ^
[-] [+] Added puppet-dashboard.service ^
[-] [+] Added puppet-dashboard.tmpfiles ^

There's nothing to be done right now

Request History

Marcello Barnaba vjt created request about 2 years ago
Hello!

This request is not meant to be accepted - it's only for you to know that I am working on this package.

This branch packages the upcoming upstream version, that uses bundler and Rails 3.2, and that runs under the new Ruby and RubyGems version. The package includes a systemd unit for the app server, and it sets up the secret token upon installation.

As you will see, this package is very different from the one it started from: it bundles all the gems, it does more aggressive polishing of what it is included, it is not a -noarch package anymore.

There is still work to be done, most importantly the delayed job systemd unit, and a basic walkthrough after the installation. However the package builds cleanly on 12.3 and 13.1 and it starts.

Your feedback is appreciated!

~Marcello
Nanuk Krinner nkrinner Request got declined almost 2 years ago
Sorry for the late reply. Please submit the package revision you want to have accepted.
Marcus Rückert darix Request got revoked 9 months ago
cleanup

Comments for request 214650 (1)

Marcello Barnaba vjt wrote about 2 years ago

The package has evolved over the last 24 hours, please review the latest link diff on https://build.opensuse.org/package/show/home:vjt:ifad/puppet-dashboard rather than the diff in this request :-).